import { Component, OnInit } from '@angular/core';
import {StateService} from '../state.service';

@Component({
  selector: 'app-settings',
  templateUrl: './settings.component.html',
  styleUrls: ['./settings.component.css']
})
export class SettingsComponent implements OnInit {
  private _windowSize;
  private _hashSize;
  private _nrOfTables;

  constructor(private state: StateService) { }

  ngOnInit(): void {
    this._windowSize = this.state.windowSize;
    this._hashSize = this.state.hashSize;
    this._nrOfTables = this.state.nrOfTables;
  }

  public reset() {
    this.state.windowSize = Number(this._windowSize);
    this.state.hashSize = Number(this._hashSize);
    this.state.nrOfTables = Number(this._nrOfTables);
    this.state.reset();
  }

  public newTables() {
    this.state.hashSize = Number(this._hashSize);
    this.state.nrOfTables = Number(this._nrOfTables);
    this.state.lshInitial();
  }

  public get windowSize() {
    return this._windowSize;
  }

  public set windowSize(v) {
    this._windowSize = v;
  }

  public get hashSize() {
    return this._hashSize;
  }

  public set hashSize(v) {
    this._hashSize = v;
  }

  public get nrOfTables() {
    return this._nrOfTables;
  }

  public set nrOfTables(v) {
    this._nrOfTables = v;
  }

}
